Fedora 11 : python-markdown2- (2009-10329)

High Nessus Plugin ID 42267


The remote Fedora host is missing a security update.


Update from to, which fixes some issues, including these two security-related bugs: - [Issue 30] Fix a possible XSS via JavaScript injection in a carefully crafted image reference (usage of double-quotes in the URL). - [Issue 29] Fix security hole in the md5-hashing scheme for handling HTML chunks during processing. See http://code.google.com/p/python- markdown2/source/browse/trunk/CHANGES.txt for the full changelog.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected python-markdown2 package.

See Also



Plugin Details

Severity: High

ID: 42267

File Name: fedora_2009-10329.nasl

Version: $Revision: 1.9 $

Type: local

Agent: unix

Published: 2009/10/28

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:python-markdown2, cpe:/o:fedoraproject:fedora:11

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2009/10/09

Reference Information

FEDORA: 2009-10329